package com.benchmark.port.nativePort;

import X.AnonymousClass1H3;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class LogcatInvoker {
    public static native void nativeSetLogLevel(byte b);

    static {
        Covode.recordClassIndex(3005);
        AnonymousClass1H3.LIZ();
        if (!AnonymousClass1H3.LIZ) {
            AnonymousClass1H3.LIZ();
        }
    }

    public static void LIZ(byte b) {
        MethodCollector.i(14011);
        if (AnonymousClass1H3.LIZ) {
            nativeSetLogLevel(b);
        }
        MethodCollector.o(14011);
    }
}
